Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.deploy.api.shared
Class WebLogicModuleType

    java.lang.Object
      javax.enterprise.deploy.shared.ModuleType
          weblogic.deploy.api.shared.WebLogicModuleType

Direct Known Subclasses:
  WebLogicTargetModuleID

    public class WebLogicModuleType

extends ModuleType

This class extends javax.enterprise.deploy.shared.ModuleType to enumerate the deployable module types supported in WebLogic Server. This class is modeled after `javax.enterprise.deploy.shared.ModuleType`.

Field Summary
`static WebLogicModuleType` | `CONFIG`
`static WebLogicModuleType` | `INTERCEPT`
`static WebLogicModuleType` | `JDBC`
`static WebLogicModuleType` | `JMS`
`static String` | `MODULETYPE_CAR`
`static String` | `MODULETYPE_CONFIG`
`static String` | `MODULETYPE_EAR`
`static String` | `MODULETYPE_EJB`
`static String` | `MODULETYPE_INTERCEPT`
`static String` | `MODULETYPE_JDBC`
`static String` | `MODULETYPE_JMS`
`static String` | `MODULETYPE_RAR`
`static String` | `MODULETYPE_SUBMODULE`
`static String` | `MODULETYPE_UNKNOWN`
`static String` | `MODULETYPE_WAR`
`static String` | `MODULETYPE_WLDF`
`static String` | `MODULETYPE_WSEE`
`static WebLogicModuleType` | `SUBMODULE`
`static WebLogicModuleType` | `UNKNOWN`
`static WebLogicModuleType` | `WLDF`
`static WebLogicModuleType` | `WSEE`

Fields inherited from class javax.enterprise.deploy.shared.ModuleType
`CAR, EAR, EJB, RAR, WAR`

Method Summary
`boolean` | `equals(ModuleType mod)`
`String` | `getModuleExtension()` Returns the file extension associated with this module type.
`static ModuleType` | `getModuleType(int i)` Returns the defined module type having the specified ordinal value.
`static ModuleType` | `getTypeFromString(String type)`
`int` | `getValue()` Returns the ordinal value associated with this WebLogic Server module type.
`String` | `toString()`

Methods inherited from class javax.enterprise.deploy.shared.ModuleType
`getEnumValueTable, getOffset, getStringTable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final WebLogicModuleType UNKNOWN

### JMS

    public static final WebLogicModuleType JMS

### JDBC

    public static final WebLogicModuleType JDBC

### INTERCEPT

    public static final WebLogicModuleType INTERCEPT

### CONFIG

    public static final WebLogicModuleType CONFIG

### SUBMODULE

    public static final WebLogicModuleType SUBMODULE

### WLDF

    public static final WebLogicModuleType WLDF

### WSEE

    public static final WebLogicModuleType WSEE

### MODULETYPE_EAR

    public static final String MODULETYPE_EAR

### MODULETYPE_WAR

    public static final String MODULETYPE_WAR

### MODULETYPE_EJB

    public static final String MODULETYPE_EJB

### MODULETYPE_RAR

    public static final String MODULETYPE_RAR

### MODULETYPE_CAR

    public static final String MODULETYPE_CAR

### MODULETYPE_UNKNOWN

    public static final String MODULETYPE_UNKNOWN

### MODULETYPE_JMS

    public static final String MODULETYPE_JMS

### MODULETYPE_JDBC

    public static final String MODULETYPE_JDBC

### MODULETYPE_INTERCEPT

    public static final String MODULETYPE_INTERCEPT

### MODULETYPE_CONFIG

    public static final String MODULETYPE_CONFIG

### MODULETYPE_SUBMODULE

    public static final String MODULETYPE_SUBMODULE

### MODULETYPE_WLDF

    public static final String MODULETYPE_WLDF

### MODULETYPE_WSEE

    public static final String MODULETYPE_WSEE

Method Detail

### getTypeFromString

    public static ModuleType getTypeFromString(String type)

### getValue

    public int getValue()

  Returns the ordinal value associated with this WebLogic Server module type.

  Overrides:
    `getValue` in class `ModuleType`

### getModuleExtension

    public String getModuleExtension()

  Returns the file extension associated with this module type.

  Overrides:
    `getModuleExtension` in class `ModuleType`

### getModuleType

    public static ModuleType getModuleType(int i)

  Returns the defined module type having the specified ordinal value.

### equals

    public boolean equals(ModuleType mod)

### toString

    public String toString()

  Overrides:
    `toString` in class `ModuleType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD